unit xx00topten;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, IniFiles;

type
  TTopTenForm = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Pozice: array[1..10] of record
      Jmeno, Body: TLabel;
    end;
    procedure IniSave;
  end;

var
  TopTenForm: TTopTenForm;
  Ini: TIniFile;

implementation

{$R *.DFM}

procedure TTopTenForm.IniSave;
var i: Byte;
begin
  Ini:=TIniFile.Create(ExtractFileDir(ParamStr(0))+'\matchestopten.ini');
  for i:=1 to 10 do
  begin
    Ini.WriteString('Jmena', IntToStr(i), Pozice[i].Jmeno.Caption);
    Ini.WriteString('Body', IntToStr(i), Pozice[i].Body.Caption);    
  end;
  Ini.Destroy;
end;

procedure TTopTenForm.FormCreate(Sender: TObject);
var i: Byte;
begin
  {vytvoreni komponent a nacteni z ini souboru}
  Ini:=TIniFile.Create(ExtractFileDir(ParamStr(0))+'\matchestopten.ini');
  for i:=1 to 10 do
  begin
    with Pozice[i] do
    begin
      Jmeno:=TLabel.Create(Self);
      Jmeno.Parent:=Self;
      Jmeno.Left:=50;
      Jmeno.Top:=i*50;
      Jmeno.Font.Size:=15;
      Jmeno.Caption:=Ini.ReadString('Jmena', IntToStr(i), 'Computer');
      Body:=TLabel.Create(Self);
      Body.Parent:=Self;
      Body.Left:=200;
      Body.Top:=i*50;
      Body.Font.Size:=15;      
      Body.Caption:=IntToStr(Ini.ReadInteger('Body', IntToStr(i), 10 div i));
    end;
  end;
  Ini.Destroy;
end;

end.
